### Method

# EDataCal CalBackendSync modify_objects

since: 3.6

#### Declaration [src]

    void
    e_cal_backend_sync_modify_objects (
      ECalBackendSync* backend,
      EDataCal* cal,
      GCancellable* cancellable,
      const GSList* calobjs,
      ECalObjModType mod,
      ECalOperationFlags opflags,
      GSList** old_components,
      GSList** new_components,
      GError** error
    )

#### Description [src]

Calls the modify_objects_sync method on the given backend.

Available since: 3.6

#### Parameters

`cal`

  Type: `EDataCal`

  An EDataCal object.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` for the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`calobjs`

  Type: A list of `utf8`

  Objects to be modified.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`mod`

  Type: `ECalObjModType`

  Type of modification to be done.

`opflags`

  Type: `ECalOperationFlags`

  Bit-or of `ECalOperationFlags`.

`old_components`

  Type: A list of `None`

  Placeholder for returning the old components as they were stored on the backend.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`new_components`

  Type: A list of `None`

  Placeholder for returning the new components as they have been stored on the backend.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.